Summary:	RPM correctness checker
Name:		rpmlint
Version:	1.5
Release:	15
License:	GPLv2+
Group:		Development/Other
Url:		http://rpmlint.zarb.org/
Source0:	http://rpmlint.zarb.org/download/%{name}-%{version}.tar.xz
Source1:	rpmlint.config
Patch0:		rpmlint-1.4-fix-paths-to-extracted-srpm-files.patch
Patch1:		rpmlint-1.4-add-lgplv21-license.patch
Patch2:		rpmlint-1.4-below-threshold-returns-zero.patch
Patch3:		rpmlint-1.4-fix-setup-checks.patch
Patch4:		rpmlint-1.5-external-depfilter-with-internal-depgen.patch
Patch5:		rpmlint-1.4-shared-lib-not-executable.patch
# proper fix for rhbz#487855
Patch6:		rpmlint-1.4-only-report-actual-errors-as-spec_error.patch
Patch7:		rpmlint-1.5-install-info-trigger.patch
Patch8:		rpmlint-1.5-legacy-mandriva-filetriggers.patch
Patch9:		rpmlint-1.5-double-slash-in-path.patch
Patch10:	rpmlint-1.4-make-tests-pass.patch
Patch11:	rpmlint-1.4-dont-check-use-of-RPM_SOURCE_DIR-in-changelog.patch
Patch12:	rpmlint-1.4-dont-use-_RPMVSF_NOSIGNATURES.patch
Patch14:	rpmlint-1.4-incoherent-pkgname-description.patch
Patch15:	rpmlint-1.4-only-report-non-versioned-files-for-libs.patch
Patch16:	rpmlint-1.4-ignore-no-packager.patch
Patch17:	rpmlint-1.4-spec-subpackage-desc.patch
Patch18:	rpmlint-1.5-drop-obsolete-checks.patch
Patch19:	rpmlint-1.4-missed-attrs-in-desktop-files.patch
Patch20:	rpmlint-1.4-distsuffix-check.patch
Patch21:	rpmlint-1.4-content-licenses.patch
Patch22:	rpmlint-1.4-drop-man-page-check.patch
Patch23:	rpmlint-1.4-improve-rpath-checks.patch
# ROSA policy require libfoo-devel to depend on 'libfoo%{major}',
# not just 'libfoo'
Patch24:	rpmlint-1.4-fix-lib-deps.patch
Patch25:	rpmlint-1.5-apply-patches-macro-disables-patch-not-applied-check.patch
Patch26:	rpmlint-1.4-dkms.patch

Patch27:	rpmlint-1.5-xdg-check-exception.diff
Patch28:	rpmlint-1.5-xdg-paths-update.diff
Patch29:	rpmlint-1.5-python-3.4-magic-number.patch
Patch30:	rpmlint-1.5-ignore-spelling-errors.patch
Patch31:	rpmlint-1.5-default-collate.patch
Patch32:	rpmlint-1.5-accept-kf5-locales.patch
Patch33:	rpmlint-1.5-make-check.patch

Requires:	python-rpm python-magic desktop-file-utils
# Hardcode "rosa" while %_vendor is still set to "mandriva"...
Suggests:	python-enchant rpmlint-rosa-policy
Requires:	locales

BuildRequires:	python-rpm
BuildArch:	noarch

%description
Rpmlint is a tool to check common errors on rpm packages.
Binary and source packages can be checked.

%files
%doc ChangeLog README*
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/%{name}/config
%dir %{_sysconfdir}/%{name}/
# Which of these exists depends on the version of bash_completion.
# Let's support both.
%optional %config(noreplace) %{_sysconfdir}/bash_completion.d/*
%optional %config(noreplace) %{_datadir}/bash-completion/completions/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .srpm_paths~
%patch1 -p1 -b .lgplv21~
%patch2 -p1 -b .threshold~
%patch3 -p1 -b .setup~
%patch4 -p1 -b .dep_filter~
%patch5 -p1 -b .shlib_exec~
%patch6 -p1 -b .spec_error~
%patch7 -p1 -b .info~
%patch8 -p1 -b .triggers~
%patch9 -p1 -b .slash~
%patch10 -p1 -b .test~
%patch11 -p1 -b .sourcedir_changelog~
%patch12 -p1 -b .nosig~
%patch14 -p1 -b .pkgname_description~
%patch15 -p0 -b .nonversioned_libs~
%patch16 -p0 -b .nopackager~
# rpmlint sometimes fails to detect that 'description' section is over...
# %patch17 -p0 -b .subpkg_desc~
%patch18 -p1 -b .obsolete~
# For FBA usage only
# %patch19 -p0 -b .desktop_l10n~
%patch20 -p1 -b .distsuffix~
%patch21 -p1 -b .licenses~
%patch22 -p1 -b .no-man-page~
%patch23 -p1 -b .improve-rpath~
%patch24 -p1 -b .lib_deps~
%patch25 -p1 -b .apply_patches~
# %patch26 -p1 -b .dkms~

%patch27 -p1 -b .xdg-exceptions~
%patch28 -p1 -b .xdg-path~
%patch29 -p1 -b .python34~
%patch30 -p1 -b .spelling~
%patch31 -p1 -b .collation~
%patch32 -p1 -b .kf5~
%patch33 -p1 -b .mk_check~

%build
export COMPILE_PYC=1
%make

%check
make check

%install
%makeinstall_std

install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/%{name}/config
install -d %{buildroot}%{_datadir}/%{name}/config.d/


%changelog

* Tue Jun 21 2016 Denis Silakov <dsilakov@gmail.com> 1.5-15
- (a3a8fef) Allow more ZPL versions

* Mon Jun 20 2016 Denis Silakov <dsilakov@gmail.com> 1.5-14
- (7a12378) Allow Python license

* Wed Mar 30 2016 Denis Silakov <dsilakov@gmail.com> 1.5-13
- (9e22939) Improve 'make check' recognition

* Fri Sep 04 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.5-12
- (d0d6303) Allow "gpl with exceptions" licenses

* Fri Sep 04 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.5-11
- (3780e74) Allow GPLv2+ with exceptions
- (Denis Silakov: 03c556d) Allow 'zlib' license

* Wed Jul 01 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.5-10
- (99a75be) Bump release

* Wed Jul 01 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.5-9
- (f690a35) Allow 'Artistic 2.0' license
- (Denis Silakov: 0f6b0f3) Accept locales in /usr/share/locales/kf5

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1.5-8
- (2bace16) MassBuild#656: Increase release tag

* Thu Feb 12 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.5-7
- (b190b24) Change default LC_COLLATE

* Thu Feb 12 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.5-6
- (353433a) Change default LC_COLLATE
- (Denis Silakov: 4b6f5fb) Ignore spelling errors by default

* Thu Nov 20 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.5-5
- (a4cb9b0) Allow GPL+ license for perl modules

* Sun Oct 26 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.5-4
- (8670b89) Add patch to fix magic number of python 3.4

* Tue Aug 26 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.5-3
- (5b5f7be) Added Ruby license

* Thu Aug 21 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.5-2
- (db41429) Add xdg fixes from sokol
- (Denis Silakov: 6dec229) Add xdg fixes from sokol

* Sat Aug 02 2014 abondrov <andrey.bondrov@rosalab.ru> 1.5-1
- (74e7331) New version 1.5, re-diff patches

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.4-46
- (7cee08b) MassBuild#440: Increase release tag

* Wed Jun 11 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.4-45
- (979063b) Really apply 'apply_patches' fix

* Mon Apr 21 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.4-44
- (329f9b0) Added 'BSD with attribution' to allowed licenses
- (Denis Silakov: ad68749) Fix bash_completion location
- (Denis Silakov: 03c8afd) Handle apply_paches and treat dkms- as devel packages

* Thu Nov 21 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-43
- (aa6e921) Added ZPL 2.1 license to allowed

* Wed Nov 06 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-42
- (f49b73d) Fix patch
- (Denis Silakov: de407fb) Fix no-dep-on for libraries

* Tue Nov 05 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-41
- (344df1a) Fix rpath typo
- (Denis Silakov: 3c66929) Improve rpath checks

* Tue Nov 05 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4-40
- (256a4b5) Allow single 'GPL' license - it is still used very widely


